using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;
using DataStructures;

namespace Sentience
{
    public class Team
    {
        public Team(int id, String name, Color color)
        {
            ID = id;
            Name = name;
            Color = color;
            Tactic = Tactic.Idle;
        }

        public int ID { get; set; }

        public String Name { get; set; }

        public Color Color { get; set; }

        public int Score { get; set; }
        public IBehavior Behavior { get; set; }
        public Tactic Tactic { get; set; }

        public float ViewDistance { get; set; }

        public int Members { get; set; }

        public int GetMemberCount(List<Entity> Entities)
        {
            int numMembers = 0;

            foreach (Entity Entity in Entities)
                if (Entity.Team == this)
                    numMembers++;

            return numMembers;
        }
    }
}
